gi-harfbuzz-0.0.10: HarfBuzz bindings

Copyright | Will Thompson and Iñaki García Etxebarria
License | LGPL-2.1
Maintainer | Iñaki García Etxebarria
Safe Haskell | Safe-Inferred
Language | Haskell2010

GI.HarfBuzz.Structs.LanguageT

Contents

- Exported types
- Methods

Description

Data type for languages. Each `LanguageT` corresponds to a BCP 47 language tag.

Synopsis

- newtype LanguageT = LanguageT (ManagedPtr LanguageT)

# Exported types

newtype LanguageT Source #

Memory-managed wrapper type.

Constructors

LanguageT (ManagedPtr LanguageT) |

#### Instances

Instances details

Eq LanguageT Source # |
Instance details Defined in GI.HarfBuzz.Structs.LanguageT Methods (==) :: LanguageT -> LanguageT -> Bool Source # (/=) :: LanguageT -> LanguageT -> Bool Source #
BoxedPtr LanguageT Source # |
Instance details Defined in GI.HarfBuzz.Structs.LanguageT Methods boxedPtrCopy :: LanguageT -> IO LanguageT Source # boxedPtrFree :: LanguageT -> IO () Source #
ManagedPtrNewtype LanguageT Source # |
Instance details Defined in GI.HarfBuzz.Structs.LanguageT Methods toManagedPtr :: LanguageT -> ManagedPtr LanguageT Source #

# Methods